package com.ningdatech.pmapi.common.constant;

/**
 * @description: 常量
 * @author: LiuXinXin
 * @date: 2022/5/5 17:31
 */
public interface CommonConst {

    String COOKIE_KEY = "ND_JSESSION";

    Integer EXPORT_PAGE_NUMBER = 1;
    Integer EXPORT_PAGE_SIZE = 100000;
    String CALL_STATUS = "status";
    String CALL_STATUS_OK_VALUE = "ok";

    Integer COMMENT_MAX_SIZE = 163;
    Integer SUB_COMMENT_SIZE_MIN = 0;
    Integer SUB_COMMENT_SIZE_MAX = 160;

    String PROJECT_DECLARE = "项目申报";
    String UNIT_INNER_AUDIT = "单位内部审核";
    String PRELIMINARY_PREVIEW = "项目预审";

    String DEPT_UNITED_REVIEW = "部门联审";
    String PROVINCE_UNITED_REVIEW = "省级部门联审";
    String ANNUAL_PLAN = "年度计划";
    String CONSTRUCTION_PLAN_REVIEW = "建设方案评审";
    String PROJECT_APPROVAL = "立项批复";
    String TENDER_PURCHASE = "招标采购";
    String PROJECT_PRELIMINARY_INSPECTION = "项目初验";
    String PROJECT_FINAL_INSPECTION = "项目终验";

    String ARCHIVED = "归档";

    String FILE_NAME = "name";
    String BASIS_FILE_NAME = "fileName";

    String NULL = "null";

    String TITLE = "title";

    String FILE_NAME_STR = "fileName";
    String FILE_ID_STR = "fileId";
    String ID_STR = "id";
    String FILE_LIST = "fileList";
    String ITEM_BASED = "依据项:";
    String ITEM_BASED_FILE_NAME = "依据文件名:";
    String APPENDIX = "文件:";
    String NEW_CONSTRUCTION = "新建";
    String CONTINUED_CONSTRUCTION = "续建";
    String MONTH = "月";
    String ZHI = "至";
    String YEAR = "年";

    Integer VERSION_ONE = 1;
    Integer VERSION_SIZE = 2;
    Integer VERSION_JUDGE = -1;



}
