package com.ningdatech.pmapi.expert.model.cmd;


import com.ningdatech.pmapi.expert.model.bo.ExpertInfoSensitiveFieldCheckBO;
import com.ningdatech.pmapi.expert.model.dto.*;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/28 下午2:43
 */
@Data
public class ExpertInfoModifyCmd {

    private Long userId;

    private ExpertUserFullInfoDTO expertUserInfoDTO;

    private List<ExpertDictionaryDTO> expertDictionaryList;

    private List<ExpertTagDTO> expertTagList;

    /**
     * 专家履职意向(区域编码）
     */
    private List<ExpertRegionDTO> expertIntentionWorkRegionInfo;

    /**
     * 回避单位列表
     */
    private List<ExpertAvoidCompanyDTO> expertAvoidCompanyList;

    private ExpertInfoSensitiveFieldCheckBO expertInfoSensitiveFieldCheckBO;

    private ModifyApplyExtraInfoDTO modifyApplyExtraInfo;
}
