package com.ningdatech.pmapi.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Classname PerformanceAppraisalApplication
 * @Description 绩效评价和应用关联对象
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@TableName("nd_performance_appraisal_application")
@ApiModel(value = "绩效评价和应用关联对象", description = "绩效评价和应用关联对象")
public class PerformanceAppraisalApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("计划id")
    private Long appraisalId;

    @ApiModelProperty("应用id")
    private Long applicationId;
}
