package com.ningdatech.pmapi.user.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liuxinxin
 * @date 2023/2/13 上午9:31
 */

@Data
@ApiModel("用户禁用/启用 PO")
public class ReqUserDisableOrEnablePO {

    @ApiModelProperty("用户id")
    private Long userId;

    @NotBlank(message = "浙政钉 用户编码 不能为空")
    @ApiModelProperty("浙政钉 用户编码")
    private String employeeCode;

    @NotBlank(message = "操作 不能为空")
    @ApiModelProperty("操作 启用 ENABLE/禁用 DISABLE")
    private String operation;


}
