package com.ningdatech.pmapi.expert.model.dto;

import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/27 上午10:22
 * 专家全量信息表，包含履职意向，专家字典信息，专家标签信息,回避单位信息
 */
@Data
public class ExpertFullInfoAllDTO {

    private Long userId;

    private ExpertUserFullInfoDTO expertUserInfoDTO;

    private List<ExpertDictionaryDTO> expertDictionaryList;

    private List<ExpertTagDTO> expertTagList;

    /**
     * 专家履职意向(区域编码）
     */
    private List<ExpertRegionDTO> expertIntentionWorkRegionInfo;

    /**
     * 专家申请履职意向展示列表
     */
    private List<ExpertRegionDTO> expertApplyIntentionWorkRegionInfo;

    /**
     * 回避单位列表
     */
    private List<ExpertAvoidCompanyDTO> expertAvoidCompanyList;


}
