package com.ningdatech.pmapi.irs.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Classname PushProjectAppToIrsDto
 * @Description
 * @Date 2023/7/12 11:39
 * @Author PoffyZhang
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PushProjectAppToIrsDTO {

    @ApiModelProperty("我们系统的appId")
    @NotNull(message = "appId 不能为空")
    private Long appId;

    @ApiModelProperty("app code")
    @NotBlank(message = "appCode 不能为空")
    private String appCode;

    @ApiModelProperty("项目编码")
    @NotBlank(message = "项目编码 不能为空")
    private String projectCode;
}
