package com.ningdatech.pmapi.performance.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.time.LocalDateTime;

/**
 * <p>
 * PerformanceAppraisalListReq
 * </p>
 *
 * @author ZPF
 * @since 09:32 2023/06/13
 */
@Data
public class PerformanceAppraisalListReq extends PagePo {

    @ApiModelProperty("计划名称")
    private String planName;

    @ApiModelProperty("开始时间")
    private String start;

    @ApiModelProperty("结束时间")
    private String end;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("模板名称")
    private String templateName;

    @ApiModelProperty("区域code")
    private String regionCode;
}
