package com.ningdatech.pmapi.provincial.service;

import com.ningdatech.pmapi.provincial.model.dto.ProvincialProjectDTO;
import com.ningdatech.pmapi.provincial.model.res.SjApiResponse;

/**
 * @Classname JointReviewProvincialBureauService
 * @Description 省局联审接口
 * @Date 2023/3/2 9:29
 * @Author PoffyZhang
 */
public interface IJoinReviewProvincialBureauService {

    /**
     * 推送/保存 重大接口到 省局联审
     * @return
     */
    Boolean pushImportProject(ProvincialProjectDTO project);


    /**
     * 查看 本区域 省局联审 的项目审核详情
     * @return
     */
    SjApiResponse processInfo(String projectId);
}
